Pagina 2 di 3 PrimaPrima 123 UltimaUltima
Risultati da 11 a 20 di 23

Discussione: Macro

  1. #11
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    101
    Professione
    Disegnatore
    Regione
    Emilia Romagna
    Software
    cocreate drafting,solid edge

    Predefinito

    Utilizzo visual basic 2008 express, pensavo di utilizzare il comando callout richiamo.
    Ho provato a caricare qualche esempio dal manuale per i balloon ma non funziona non appare nulla.
    Grazie

  2. #12
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da BRM Visualizza Messaggio
    Utilizzo visual basic 2008 express, pensavo di utilizzare il comando callout richiamo.
    Ho provato a caricare qualche esempio dal manuale per i balloon ma non funziona non appare nulla.
    Grazie
    Se ci riporti la linea di codice che hai scritto e l'errore che ti da magari possiamo aiutarti.

    Ciao
    Francesco
    Cintura nera di solid edge

  3. #13
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    101
    Professione
    Disegnatore
    Regione
    Emilia Romagna
    Software
    cocreate drafting,solid edge

    Predefinito

    questo è l'esempio che ho provato

    Module Module1
    Sub Main()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objBalloons As SolidEdgeFrameworkSupport.Balloons
    Dim objBalloon As SolidEdgeFrameworkSupport.Balloon
    Dim objBItem As SolidEdgeFrameworkSupport.Balloon
    ' Report errors
    'Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    'On Error Resume Next
    objApp = GetObject(, "SolidEdge.Application")
    'If Err() Then
    'Err.Clear()
    'objApp = CreateObject("SolidEdge.Application")
    'objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
    'objApp.Visible = True
    'Else
    objDoc = objApp.ActiveDocument
    'End If
    ' getting the Active Sheet object
    objSheet = objDoc.ActiveSheet
    ' getting the Balloons collection object on the active sheet
    objBalloons = objSheet.Balloons
    ' adding a balloon on the active sheet
    objBalloon = objBalloons.Add(x1:=0.25, y1:=0.25, z1:=0)
    ' getting another reference to the same balloon in the Balloons collection object
    objBItem = objBalloons.Item("1")
    ' USER DISPLAY
    ' Release objects
    objApp = Nothing
    objDoc = Nothing
    objSheet = Nothing
    objBalloons = Nothing
    objBalloon = Nothing
    objBItem = Nothing
    End Sub
    End Module

    Se ho capito bene dovrebbe disegnare un pallino con il numero 1 ma non fa nulla.
    Grazie

  4. #14
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da BRM Visualizza Messaggio
    questo è l'esempio che ho provato

    Module Module1
    Sub Main()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objBalloons As SolidEdgeFrameworkSupport.Balloons
    Dim objBalloon As SolidEdgeFrameworkSupport.Balloon
    Dim objBItem As SolidEdgeFrameworkSupport.Balloon
    ' Report errors
    'Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    'On Error Resume Next
    objApp = GetObject(, "SolidEdge.Application")
    'If Err() Then
    'Err.Clear()
    'objApp = CreateObject("SolidEdge.Application")
    'objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
    'objApp.Visible = True
    'Else
    objDoc = objApp.ActiveDocument
    'End If
    ' getting the Active Sheet object
    objSheet = objDoc.ActiveSheet
    ' getting the Balloons collection object on the active sheet
    objBalloons = objSheet.Balloons
    ' adding a balloon on the active sheet
    objBalloon = objBalloons.Add(x1:=0.25, y1:=0.25, z1:=0)
    ' getting another reference to the same balloon in the Balloons collection object
    objBItem = objBalloons.Item("1")
    ' USER DISPLAY
    ' Release objects
    objApp = Nothing
    objDoc = Nothing
    objSheet = Nothing
    objBalloons = Nothing
    objBalloon = Nothing
    objBItem = Nothing
    End Sub
    End Module

    Se ho capito bene dovrebbe disegnare un pallino con il numero 1 ma non fa nulla.
    Grazie
    Hai aggiunto i riferimenti alle librerie di Solid Edge ?

    Così ad occhio poi mi sembra VB6 e non VB.NET, se hai office utilizza il VBA di excel per provare il codice.

    Ciao
    Francesco
    Cintura nera di solid edge

  5. #15
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    101
    Professione
    Disegnatore
    Regione
    Emilia Romagna
    Software
    cocreate drafting,solid edge

    Predefinito

    si è vb6 l'ho copiato in vb2008 express lo lancio e non mi da errori ma non fa nulla nel dft aperto.

  6. #16
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    101
    Professione
    Disegnatore
    Regione
    Emilia Romagna
    Software
    cocreate drafting,solid edge

    Predefinito

    ho provato anche con Excel ma non succede nulla

  7. #17
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    I riferimenti alle librerie di Solid Edge li hai aggiunti ?
    Francesco
    Cintura nera di solid edge

  8. #18
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    prova questo (funziona su vba/excell)
    diversamente dal tuo, ho rimesso "Set " davanti all'assegnazione degli oggetti.
    il riferimento del richiamo che vuoi è eseguito durante la creazione del pallino.
    Codice:
    Sub testBaloon()
        Dim objApp As SolidEdgeFramework.Application
        Dim objDoc As SolidEdgeDraft.DraftDocument
        Dim objSheet As SolidEdgeDraft.Sheet
        Dim objBalloons As SolidEdgeFrameworkSupport.Balloons
        Dim objBItem As SolidEdgeFrameworkSupport.Balloon
        
        ' Report errors
        Const PI = 3.14159265358979
        ' Create/get the application with specific settings
        On Error Resume Next
        Set objApp = GetObject(, "SolidEdge.Application")
        If Err Then
            Err.Clear
            Set objApp = CreateObject("SolidEdge.Application")
            Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
            objApp.Visible = True
        Else
            Set objDoc = objApp.ActiveDocument
        End If
        ' getting the Active Sheet object
        Set objSheet = objDoc.ActiveSheet
        ' getting the Balloons collection object on the active sheet
        Set objBalloons = objSheet.Balloons
        ' adding a balloon on the active sheet
        Set objBItem = objBalloons.Add(X1:=0.025, Y1:=0.025, Z1:=0)
        objBItem.BalloonText = "ciao"
        
        ' USER DISPLAY
        ' Release objects
        Set objApp = Nothing
        Set objDoc = Nothing
        Set objSheet = Nothing
        Set objBalloons = Nothing
    End Sub

  9. #19
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    101
    Professione
    Disegnatore
    Regione
    Emilia Romagna
    Software
    cocreate drafting,solid edge

    Predefinito

    si li ho inseriti tutti

  10. #20
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    ps.: ho spostato che coordinate a 25;25 mm: ti può venire affogato nel cartiglio A4


  • Pagina 2 di 3 PrimaPrima 123 UltimaUltima

    Discussioni Simili

    1. Macro x PDF
      Di BOSCO '71 nel forum Solid Edge
      Risposte: 93
      Ultimo Messaggio: 05-09-2017, 16: 07
    2. Macro (VBA) e BOM
      Di Avoplus nel forum Inventor
      Risposte: 0
      Ultimo Messaggio: 08-03-2010, 23: 32
    3. MACRO
      Di strangelittle_girl nel forum Solidworks
      Risposte: 1
      Ultimo Messaggio: 07-10-2009, 20: 49
    4. Macro ???
      Di BOSCO '71 nel forum Solid Edge
      Risposte: 12
      Ultimo Messaggio: 28-08-2009, 23: 42
    5. help macro
      Di Taylor nel forum OneSpace Designer Modeling
      Risposte: 2
      Ultimo Messaggio: 30-07-2009, 10: 28

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti